const debug = require('debug')('node-express-base');

const libs = `${process.cwd()}/libs`;

const config = require(`${libs}/config`);

const log = require(`${libs}/log`)(module);

const app = require(`${libs}/app`);

app.set('port', process.env.PORT || config.get('port') || 3000);

const server = app.listen(app.get('port'), () => {
    log.info(`Express server listening on port ${server.address().port}`);
});
